package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.KlDisease;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.mapper.KlDiseaseMapper;
import com.diagbot.service.KlDiseaseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 疾病表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
public class KlDiseaseServiceImpl extends ServiceImpl<KlDiseaseMapper, KlDisease> implements KlDiseaseService {

    public List<KlDisease> getKlDiagsByConceptIds(List<Long> collect) {
        return this.baseMapper.getKlDiagsByConceptIdsNew(collect);
    }
}
