package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.KlDrug;
import com.diagbot.service.impl.KlDrugServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description:
 * @author: SGTY
 * @create: 2024/8/7 11:20
 **/

@Component
public class KlDrugFacade extends KlDrugServiceImpl {
    public List<KlDrug> getKlDrugsByConceptIds(List<Object> collect) {
        return this.list(new QueryWrapper<KlDrug>()
                .in("concept_id", collect));
    }
}
